# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Class/Accessor/Lite.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Data-Page-NoTotalEntries
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: help when paging through sets of results without total entries
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TO/TOKUHIROM/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Data::Page::NoTotalEntries is a generic pager object, so it's very similar with the Data::Page manpage.
But so Data::Page::NoTotalEntries doesn't support `$pager->total_entries' and other some methods.

In sometime, I don't want to count total entries, because counting total entries from database are very slow.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes README.pod
%perl_vendor_privlib/D*

%changelog
* Fri Sep 06 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

